Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-1339

Overview

Vulnerability Score 6.5 6.5
CVE Id CVE-2004-1339
Last Modified 05 Sep 2008 12:00:00
Published 23 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2004-1339

Summary

SQL injection vulnerability in the (1) MDSYS.SDO_GEOM_TRIG_INS1 and (2) MDSYS.SDO_LRS_TRIG_INS default triggers in Oracle 9i and 10g allows remote attackers to execute arbitrary SQL commands via the new.table_name or new.column_name parameters.

Vulnerable Systems

Application

  • Oracle Database Server 10.2.1

  • Oracle9i 9.0

  • Oracle9i 9.0.1

  • Oracle9i 9.0.1.2

  • Oracle9i 9.0.1.3

  • Oracle9i 9.0.1.4

  • Oracle9i 9.0.2

  • Oracle9i 9.0.2.0.0

  • Oracle9i 9.0.2.0.1

  • Oracle9i 9.0.2.1

  • Oracle9i 9.0.2.2

  • Oracle9i 9.0.2.3

  • Oracle9i 9.2.0.1

  • Oracle9i 9.2.0.2


References

XF - oracle-triggers-gain-privileges(18655)

MISC - http://www.ngssoftware.com/advisories/oracle23122004I.txt

BUGTRAQ - 20041223 Oracle Trigger Abuse (#NISR2122004I)


Last Updated: 27 May 2016 10:39:00